Summary: ydfg Yale Dataflow Graph Library.
Name: ydfg
Version: 0.5
Release: 1
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Copyright: GPL
Distribution: Red Hat Contrib|Net
Group: Development/Languages
Source: ydfg-0.5.tar.gz
URL: http://ee.yale.edu/~bradley
Prefix: /usr/local
Buildroot: /tmp/ydfg/
%changelog
* Mon Mar  1 1999 Bradley C. Kuszmaul <bradley@ee.yale.edu>
- Go to ydfg 0.5
 
* Sat Jan 30 1999 Bradley C. Kuszmaul <bradley@ee.yale.edu>
- Go to ydfg 0.4

* Fri Jan 15 1999 Bradley C. Kuszmaul <bradley@ee.yale.edu>
- Go to ydfg 0.3

* Fri Jan 15 1999 Bradley C. Kuszmaul <bradley@ee.yale.edu>
- Created rpm

%description
ydfg is a tool for building dataflow graphs for compilers.

To build this package from the srpm requires noweb, but you don't need
noweb to install and use the binary rpm.

%prep
%setup

%build
make code ps-files

%install
install -d 0755 $RPM_BUILD_ROOT/usr/local/lib/
install -d 0755 $RPM_BUILD_ROOT/usr/local/bin/
install -d 0755 $RPM_BUILD_ROOT/usr/local/include/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/ydfg.h $RPM_BUILD_ROOT/usr/local/include/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/ydfg-test.h $RPM_BUILD_ROOT/usr/local/include/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/ydfg-disassembler.h $RPM_BUILD_ROOT/usr/local/include/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/symbols.h $RPM_BUILD_ROOT/usr/local/include/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/stacks-and-queues.h $RPM_BUILD_ROOT/usr/local/include/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/sexpr.h $RPM_BUILD_ROOT/usr/local/include/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/numbering.h $RPM_BUILD_ROOT/usr/local/include/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/multiset.h $RPM_BUILD_ROOT/usr/local/include/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/list.h $RPM_BUILD_ROOT/usr/local/include/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/hashtable.h $RPM_BUILD_ROOT/usr/local/include/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/libydfg.a $RPM_BUILD_ROOT/usr/local/lib/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/ydfg-glassbox-test $RPM_BUILD_ROOT/usr/local/bin/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/ydfg-blackbox-test $RPM_BUILD_ROOT/usr/local/bin/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/symbols-bb-test $RPM_BUILD_ROOT/usr/local/bin/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/ydfg-disasm $RPM_BUILD_ROOT/usr/local/bin/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/ydfg-test-reader $RPM_BUILD_ROOT/usr/local/bin/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/ydfg-test-reader-bad $RPM_BUILD_ROOT/usr/local/bin/
install $RPM_BUILD_DIR/ydfg-$RPM_PACKAGE_VERSION/ydfg-test-reader-stdin $RPM_BUILD_ROOT/usr/local/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root) /usr/local
%attr(0644, root, root) %doc README
%attr(0644, root, root) %doc Makefile
%attr(0644, root, root) %doc ydfg-spec.ps
%attr(0644, root, root) %doc symbols.ps
%attr(0644, root, root) %doc hashtable.ps
%attr(0644, root, root) %doc list.ps
%attr(0644, root, root) %doc multiset.ps
%attr(0644, root, root) %doc graph-examples/
